// ====================================================================
// Copyright INRIA 2008
// Allan CORNET
// Simon LIPP
// Samuel GOUGEON
// This file is released into the public domain
// ====================================================================

function builder_main()

    TOOLBOX_NAME  = "lolimot";
    TOOLBOX_TITLE = "Lolimot";
    toolbox_dir   = get_absolute_file_path("builder.sce");

    // Check Scilab's version
    // =========================================================================
    try
        v = getversion("scilab");
    catch
        error(gettext("Scilab 5.x or more is required."));
    end

    // Check modules_manager module availability
    // =========================================================================
    if ~isdef('tbx_build_loader') then
        error(msprintf(gettext("%s module not installed."), 'modules_manager'));
    end

    // Action
    // =========================================================================
    if v(1)>=6 then
        tbx_build_loader(toolbox_dir)
        tbx_build_cleaner(toolbox_dir)
    else
        tbx_build_loader(TOOLBOX_NAME, toolbox_dir)
        tbx_build_cleaner(TOOLBOX_NAME, toolbox_dir)
    end
    tbx_builder_macros(toolbox_dir);
    tbx_builder_help(toolbox_dir);
endfunction
// =============================================================================
builder_main()
clear builder_main;
// =============================================================================
